<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('bil_pelbagai_apis', function (Blueprint $table) {
            $table->id();
            $table->integer('user_id')->nullable();
            $table->integer('lesen_penjaja_id')->nullable();
            $table->string('tag')->nullable();
            $table->boolean('status')->default(false);
            $table->json('return_param')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('bil_pelbagai_apis');
    }
};
